# Assets

## GET /assets/currencies

> List currencies

```json
{"openapi":"3.1.0","info":{"title":"revault-api","version":"1.56.0"},"servers":[{"url":"/v1/rest"}],"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"error.BAD_REQUEST":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Invalid input data error (400)","description":"The error information"},"error.UNAUTHORIZED":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Authorization not provided error (401)","description":"The error information"},"error.FORBIDDEN":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Insufficient access error (403)","description":"The error information"},"error.NOT_FOUND":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Not found error (404)","description":"The error information"},"error.INTERNAL_SERVER_ERROR":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Internal server error error (500)","description":"The error information"}}},"paths":{"/assets/currencies":{"get":{"operationId":"assets-currencies","summary":"List currencies","tags":["assets"],"parameters":[{"in":"query","name":"cursor","schema":{"type":"string","description":"Optional cursor to get next pages (based on the `next` key on query response)"}},{"in":"query","name":"search","schema":{"type":"string","description":"Search by name, ticker"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"next":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Next page cursor"},"results":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Asset identifier"},"name":{"type":"string","description":"Asset name"},"ticker":{"type":"string","description":"Asset ticker"},"type":{"type":"string","enum":["BITCOIN_LIKE","CANTON_LIKE","CARDANO_LIKE","ETHEREUM_LIKE","GENERIC_LIKE","HEDERA_LIKE","POLKADOT_LIKE","RAW_SIGNING","RIPPLE_LIKE","SOLANA_LIKE","STELLAR_LIKE","SUI_LIKE","TEZOS_LIKE","TRON_LIKE"],"description":"Asset type"},"units":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Unit denomination, e.g: wei, Gwei, etc."},"name":{"type":"string","description":"Full name"},"magnitude":{"type":"integer","minimum":0,"maximum":9007199254740991,"description":"Number of decimals place"}},"required":["code","name","magnitude"],"additionalProperties":false,"description":"Asset units"},"description":"Asset units"}},"required":["id","name","ticker","type","units"],"additionalProperties":false},"description":"Array of results"}},"required":["next","results"],"additionalProperties":false}}}},"400":{"description":"Invalid input data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.BAD_REQUEST"}}}},"401":{"description":"Authorization not provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.UNAUTHORIZED"}}}},"403":{"description":"Insufficient access","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.FORBIDDEN"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.NOT_FOUND"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.INTERNAL_SERVER_ERROR"}}}}}}}}}
```

## GET /assets/tokens

> List tokens

```json
{"openapi":"3.1.0","info":{"title":"revault-api","version":"1.56.0"},"servers":[{"url":"/v1/rest"}],"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"error.BAD_REQUEST":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Invalid input data error (400)","description":"The error information"},"error.UNAUTHORIZED":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Authorization not provided error (401)","description":"The error information"},"error.FORBIDDEN":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Insufficient access error (403)","description":"The error information"},"error.NOT_FOUND":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Not found error (404)","description":"The error information"},"error.INTERNAL_SERVER_ERROR":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Internal server error error (500)","description":"The error information"}}},"paths":{"/assets/tokens":{"get":{"operationId":"assets-tokens","summary":"List tokens","tags":["assets"],"parameters":[{"in":"query","name":"cursor","schema":{"type":"string","description":"Optional cursor to get next pages (based on the `next` key on query response)"}},{"in":"query","name":"search","schema":{"type":"string","description":"Search by name, ticker, or contract address"}},{"in":"query","name":"network","schema":{"type":"string","description":"TODO"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"next":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Next page cursor"},"results":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Asset identifier"},"name":{"type":"string","description":"Asset name"},"ticker":{"type":"string","description":"Asset ticker"},"type":{"type":"string","enum":["BITCOIN_LIKE","CANTON_LIKE","CARDANO_LIKE","ETHEREUM_LIKE","GENERIC_LIKE","HEDERA_LIKE","POLKADOT_LIKE","RAW_SIGNING","RIPPLE_LIKE","SOLANA_LIKE","STELLAR_LIKE","SUI_LIKE","TEZOS_LIKE","TRON_LIKE"],"description":"Asset type"},"units":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Unit denomination, e.g: wei, Gwei, etc."},"name":{"type":"string","description":"Full name"},"magnitude":{"type":"integer","minimum":0,"maximum":9007199254740991,"description":"Number of decimals place"}},"required":["code","name","magnitude"],"additionalProperties":false,"description":"Asset units"},"description":"Asset units"},"contractAddress":{"type":"string","description":"Token contract address"},"currency":{"type":"string","description":"Parent currency"}},"required":["id","name","ticker","type","units","contractAddress","currency"],"additionalProperties":false},"description":"Array of results"}},"required":["next","results"],"additionalProperties":false}}}},"400":{"description":"Invalid input data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.BAD_REQUEST"}}}},"401":{"description":"Authorization not provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.UNAUTHORIZED"}}}},"403":{"description":"Insufficient access","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.FORBIDDEN"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.NOT_FOUND"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.INTERNAL_SERVER_ERROR"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.enterprise.ledger.com/api-documentation-v2/reference/assets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
